#无名@tw_886
def add_surname(name, surname):
    """
    自动为名字添加指定的姓氏
    :param name: 需要补充姓氏的名字
    :param surname: 姓氏
    :return: 返回补充了姓氏的全名
    """
    full_name = surname + name
    return full_name

def main():
    name = input("请输入名字(不带姓氏):").strip()
    
    # 所有常见姓氏
    common_surnames = [
        "赵", "钱", "孙", "李", "周", "吴", "郑", "王", "冯", "陈", "褚", "卫", "蒋",
        "沈", "韩", "杨", "朱", "秦", "尤", "许", "何", "吕", "施", "张", "孔", "曹", "严", "华", "金", "魏", "陶", "姜",
        "戚", "谢", "邹", "喻", "柏", "水", "窦", "章", "云", "苏", "潘", "葛", "奚", "范", "彭", "郎", "鲁", "韦", "昌",
        "马", "苗", "凤", "花", "方", "俞", "任", "袁", "柳", "杜", "阎", "段", "曹", "雷", "黎", "史", "唐", "贾",
        "魏", "蒋"
    ]
    
    print("常见姓氏:", ", ".join(common_surnames))
    
    surname = input(f"请输入姓氏(从上述常见姓氏中选择):").strip()
    
    if surname not in common_surnames:
        print(f"未找到您输入的姓氏, 默认使用 '张' 作为姓氏。")
        surname = "张"
    
    full_name = add_surname(name, surname)
    print(f"补充后的全名是:{full_name}")

if __name__ == "__main__":
    main()
print('仅供娱乐')
